import { I18n } from '@zeedhi/core';

class ChangeLabel {
  private collection = {
    T_CONSUMO: 'Consumo',
    T_DESPESA: 'Despesas',
    T_MAOOBRA: 'Mão de Obra',
    T_RESULTADO: 'Resultado Final',
    T_OUTROS: 'Outros',
    T_FAT: 'Faturamento (=)',
    T_FATEFET: 'Faturamento Efetivos (+)',
    T_FATNF: 'Faturamento NF (+)',
    T_FATFOR: 'Faturamento ForSale (+)',
    T_FATDIV: 'Faturamento Diversos (+)',
    T_FATRECEXTRA: 'Faturamento Receita Extra (+)',
    T_DEDUREC: 'Deduções da Receita (=)',
    T_DEDUIM: 'Imposto (+/-)',
    T_DEDUCR: 'Crédito de Imposto (+)',
    T_DEDUDEV: 'Devoluções/Estornos (-)',
    T_DEDUDES: 'Descontos Sobre Vendas (-)',
    T_DEDUEN: 'Encargos (+/-)',
    T_FATLIQ: 'Faturamento Líquido (=)',
    T_TAXADM: 'Taxa Administrativa (-)',
    T_ARRECADAADM: 'Arrecadação Administrativa (+)',
    T_CMV: 'Consumo (-)',
    T_MARCONT: 'Margem de Contribuição (=)',
    T_DESP: 'Despesas (=)',
    T_DESPA: 'Despesas (-)',
    T_AJUST: 'Ajustes (+/-)',
    T_DEBCRE: 'Débito/Crédito (+/-)',
    T_MAOBRA: 'Mão de Obra (-)',
    T_DEPRE: 'Depreciação de Bens (-)',
    T_RESULT: 'Resultado (=)',
    T_INVEST: 'Investimentos (-)',
    T_RESULTOT: 'Resultado Total (=)',
    T_DISPONIVEL: 'DISPONIVEL',
    AF: 'AF',
    T_Consumo: 'Consumo',
    T_Despesa: 'Despesa',
    T_MaodeObra: 'Mao de Obra',
    T_Outros: 'Outros',
    T_ResultadoTotal: 'Resultado Total',
    INDICATOR_5: 'Valor de Solicitações Extras',
  };
  
  getLabel(code: string): string {
    if (this.collection[code]) {
      return I18n.translate(this.collection[code]);
    }
    return code;
  }
}

export default new ChangeLabel();
